
package wsrm;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the wsrm package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ReadFileAsStringResponse_QNAME = new QName("http://wsrm/", "readFileAsStringResponse");
    private final static QName _WriteToFile_QNAME = new QName("http://wsrm/", "writeToFile");
    private final static QName _WriteToFileResponse_QNAME = new QName("http://wsrm/", "writeToFileResponse");
    private final static QName _DelieverMessage_QNAME = new QName("http://wsrm/", "delieverMessage");
    private final static QName _ReadFileAsString_QNAME = new QName("http://wsrm/", "readFileAsString");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: wsrm
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link WriteToFileResponse }
     * 
     */
    public WriteToFileResponse createWriteToFileResponse() {
        return new WriteToFileResponse();
    }

    /**
     * Create an instance of {@link WriteToFile }
     * 
     */
    public WriteToFile createWriteToFile() {
        return new WriteToFile();
    }

    /**
     * Create an instance of {@link ReadFileAsStringResponse }
     * 
     */
    public ReadFileAsStringResponse createReadFileAsStringResponse() {
        return new ReadFileAsStringResponse();
    }

    /**
     * Create an instance of {@link ReadFileAsString }
     * 
     */
    public ReadFileAsString createReadFileAsString() {
        return new ReadFileAsString();
    }

    /**
     * Create an instance of {@link DelieverMessage }
     * 
     */
    public DelieverMessage createDelieverMessage() {
        return new DelieverMessage();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReadFileAsStringResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://wsrm/", name = "readFileAsStringResponse")
    public JAXBElement<ReadFileAsStringResponse> createReadFileAsStringResponse(ReadFileAsStringResponse value) {
        return new JAXBElement<ReadFileAsStringResponse>(_ReadFileAsStringResponse_QNAME, ReadFileAsStringResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WriteToFile }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://wsrm/", name = "writeToFile")
    public JAXBElement<WriteToFile> createWriteToFile(WriteToFile value) {
        return new JAXBElement<WriteToFile>(_WriteToFile_QNAME, WriteToFile.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WriteToFileResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://wsrm/", name = "writeToFileResponse")
    public JAXBElement<WriteToFileResponse> createWriteToFileResponse(WriteToFileResponse value) {
        return new JAXBElement<WriteToFileResponse>(_WriteToFileResponse_QNAME, WriteToFileResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DelieverMessage }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://wsrm/", name = "delieverMessage")
    public JAXBElement<DelieverMessage> createDelieverMessage(DelieverMessage value) {
        return new JAXBElement<DelieverMessage>(_DelieverMessage_QNAME, DelieverMessage.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReadFileAsString }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://wsrm/", name = "readFileAsString")
    public JAXBElement<ReadFileAsString> createReadFileAsString(ReadFileAsString value) {
        return new JAXBElement<ReadFileAsString>(_ReadFileAsString_QNAME, ReadFileAsString.class, null, value);
    }

}
