package rmclient;

import java.util.ArrayList;
import java.util.List;

import javax.xml.ws.BindingProvider;

import wsrm.ExactlyOnceService;
import wsrm.ExactlyOnce;

public class ExactlyOnceTest {

    public static void main(String[] args) {
        ExactlyOnceService messageWSService = new ExactlyOnceService();
        ExactlyOnce messageWSPort = messageWSService.getExactlyOncePort();

        ((BindingProvider) messageWSPort).getRequestContext().put(BindingProvider.ENDPOINT_ADDRESS_PROPERTY,
                "http://ejp5363-vm1.india.sun.com:28080/rm-service/ExactlyOnceService");

        ((BindingProvider) messageWSPort).getRequestContext().put(BindingProvider.SESSION_MAINTAIN_PROPERTY, true);

        List<String> sentMessages = new ArrayList<String>();
        for (int i = 0; i < 5; i++) {
            sentMessages.add(messageWSPort.receiveMessage("Packet : " + i));
        }

        System.out.println("The sent Messages list contains - " + sentMessages);
        for (int i = 0; i < 5; i++) {
            if (!sentMessages.contains("Response: message received - Packet : " + i)) {
                System.out.println("Sent Messages List does not contain \"Packet : " + i + "\"");
            }
        }

    }
}
